package com.willalp.wx.enums;

/**
 * 微信订阅消息模板ID
 *
 * @author Administratorl
 */

public enum WxTemplateKeyEnum {
    /** 审批结果通知 */
    APPROVAL_RESULT("审批结果通知", "qgp7iG6xTRm4JewW8N46nXJT-E6xorFn2hZ2V7gD8wY"),
    /** 待审批通知 */
    APPROVAL_WAIT("待审批通知", "Toomi1XWGMzNxOCoPX1rRNj7gLuykgszEzUstXaAp9c"),
    /** 预约订餐 */
    SUBSCRIBE("预约订餐", "Toomi1XWGMzNxOCoPX1rRNj7gLuykgszEzUstXaAp9c"),
    /** 预约订餐 */
    SALARY_STRIP("预约订餐", "Toomi1XWGMzNxOCoPX1rRNj7gLuykgszEzUstXaAp9c"),
    /** 工资条 */
    SALARY_SHEET("工资条", "SSsS8EV9dfv-CC7-w_JUKYnfEuWm6FiGL_eED8hf80Q"),
    /** 取餐提醒 */
    TAKE_FOOD("取餐提醒", "88SU4FmQU0cwuJTwoddwyu6kr9Kq-PdfB6dT9-SlXaA"),
    /** 预订提醒 */
    APPOINTMENT("预订提醒", "76FWJYEGNoYT0XzGycTh-s6dJ7ETsK3-_r1xcvPWvaI"),
    /** 积分兑换成功通知 */
    INTEGRAL_EXCHANGE_SUCCESS("积分兑换成功通知", "-57EtxA5K6MUpKbvQwHblrKldu5j1tG6-JlYZNpIZ04");;

    private String value;
    private String label;

    WxTemplateKeyEnum(String label, String value) {
        this.label = label;
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
